summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2019-01-31 13:23:24 -0500
committerJoseph Hunkeler <jhunkeler@gmail.com>2019-01-31 13:23:24 -0500
commita16452a5187314523a0d3d1431d589463e3f281d (patch)
treeff05a63c43942f6b21420660df6cf7e3d023836b /build.sh
downloaddocker-base-a16452a5187314523a0d3d1431d589463e3f281d.tar.gz
Initial commit
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..0254885
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+PROJECT=astroconda/base
+VERSION="${1}"
+if [[ -z ${VERSION} ]]; then
+ echo "Project version required [e.g. 1.2.3]"
+ exit 1
+fi
+
+docker build -t ${PROJECT}:latest -t ${PROJECT}:${VERSION} .